<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.greenorange.promotion.mapper.CourseOrderMapper">

    <resultMap id="BaseResultMap" type="com.greenorange.promotion.model.entity.CourseOrder">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="orderNumber" column="orderNumber" jdbcType="VARCHAR"/>
            <result property="courseId" column="courseId" jdbcType="BIGINT"/>
            <result property="name" column="name" jdbcType="VARCHAR"/>
            <result property="type" column="type" jdbcType="VARCHAR"/>
            <result property="image" column="image" jdbcType="VARCHAR"/>
            <result property="originPrice" column="originPrice" jdbcType="DECIMAL"/>
            <result property="discountPrice" column="discountPrice" jdbcType="DECIMAL"/>
            <result property="totalAmount" column="totalAmount" jdbcType="DECIMAL"/>
            <result property="transactionNumber" column="transactionNumber" jdbcType="VARCHAR"/>
            <result property="orderStatus" column="orderStatus" jdbcType="OTHER"/>
            <result property="isDelete" column="isDelete" jdbcType="TINYINT"/>
            <result property="createTime" column="createTime" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="updateTime" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,orderNumber,courseId,
        name,type,image,
        originPrice,discountPrice,totalAmount,
        transactionNumber,orderStatus,isDelete,
        createTime,updateTime
    </sql>
</mapper>
